// credguicDlg.h : header file
//

#include "resource.h"		// main symbols

// Logon dialog
#include "Login.h"

// CICS COMMAREA object for inquire/update/add
#include "inqycomm.h"

/////////////////////////////////////////////////////////////////////////////
// CCredguicDlg dialog

class CCredguicDlg : public CDialog
{
// Construction
public:
	CCredguicDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCredguicDlg)
	enum { IDD = IDD_CREDGUIC_DIALOG };
	CString	m_account;
	CString	m_address;
	CString	m_comments;
	CString	m_date;
	CString	m_errormsg;
	CString	m_name;
	CString	m_phone;
	CString	m_amount;
	CString	m_cicsuser;
	CString	m_cicssyst;
	CString	m_cics_client_name;
	CString	m_cicserr;
	CString	m_cics_abcode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCredguicDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCredguicDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInqy();
	afx_msg void OnAdd();
	afx_msg void OnChange();
	afx_msg void OnBrowse();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnClear();
	afx_msg void OnReLogon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	// Internal subroutines
	void resetVars();
    void setDetails();
	void getDetails();

	// CICS Login object
	Login m_login;

	// CICS COMMAREA object for inquire/change/add
	inqyComm m_inqy;
};
